<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="repositoryProvider" type="Ruson.Data.RepositoryProviderConfigSection, Ruson"/>
    <section name="objectFactory" type="Ruson.Common.ObjectFactoryConfigSection, Ruson"/>
    <section name="wap2p" type="WAP2P.Infrastructure.ConfigSection, WAP2P.Infrastructure"/>
  </configSections>
  <repositoryProvider>
    <providers>

    </providers>
  </repositoryProvider>
  <objectFactory>
    <types>
      <add src="Ruson.Common.ILogger, Ruson" target="Ruson.Common.FileLogger, Ruson" singleton="true">
        <params>
          <add value="~/Log/%yyyyMMdd%.txt"/>
        </params>
      </add>
      <!--缓存-->
      <add src="Ruson.Common.ICache, Ruson" target="Ruson.Web.Cache, Ruson" singleton="true"/>
      <!--锁-->
      <add src="Ruson.Common.ILock, Ruson" target="Ruson.Common.StaticLock, Ruson" singleton="true"/>
      <!--短信-->
      <add src="WAP2P.Infrastructure.SMS.IProvider, WAP2P.Infrastructure" target="WAP2P.Infrastructure.SMS.CMProvider, WAP2P.Infrastructure" singleton="true">
        <params>
          <add value="http://smsapi.c123.cn/OpenPlatform/OpenApi" />
          <add value="111@test" />
          <add value="test" />
          <add value="1880" />
        </params>
      </add>
      <!--实名认证-->
      <!--<add src="WAP2P.Infrastructure.RealnameVerified.IProvider, WAP2P.Infrastructure" target="WAP2P.Infrastructure.RealnameVerified.AllinPay, WAP2P.Infrastructure" singleton="true">
        <params>
          <add value="2005" />
          <add type="System.String" value="111111" />
          <add value="111111" />
        </params>
      </add>-->
      <!--红包使用-->
      <add src="WAP2P.BorrowLoan.IPromotionLogUse, WAP2P.BorrowLoan" target="WAP2P.Extension.PromotionLog.DefaultPromotionLogUse, WAP2P.Extension" singleton="true"/>
      <!--发标检查及额度检查-->
      <add src="WAP2P.BorrowLoan.IBorrowQuota, WAP2P.BorrowLoan" target="WAP2P.Extension.BorrowQuota.DefaultBorrowQuota, WAP2P.Extension" singleton="true"/>
      <!--主体业务接口BorrowLoan-->
      <add src="WAP2P.BorrowLoan.IBusinessControl, WAP2P.BorrowLoan" target="WAP2P.Extension.BusinessControls.DefaultBusinessControl, WAP2P.Extension" singleton="true"/>
    </types>
  </objectFactory>
  <wap2p>
    <!--支持的银行-->
    <banks>
      <add id="CDB" name="国家开发银行"/>
      <add id="ICBC" name="中国工商银行"/>
      <add id="ABC" name="中国农业银行"/>
      <add id="BOC" name="中国银行"/>
      <add id="CCB" name="中国建设银行"/>
      <add id="PSBC" name="中国邮政储蓄银行"/>
      <add id="COMM" name="交通银行"/>
      <add id="CMB" name="招商银行"/>
      <add id="SPDB" name="浦发银行"/>
      <add id="CIB" name="兴业银行"/>
      <add id="SPABANK" name="平安银行"/>
      <add id="HXBANK" name="华夏银行"/>
      <add id="GDB" name="广发银行"/>
      <add id="CMBC" name="中国民生银行"/>
      <add id="CITIC" name="中信银行"/>
      <add id="CEB" name="中国光大银行"/>
      <add id="BOHAIB" name="渤海银行"/>
      <add id="EGBANK" name="恒丰银行"/>
      <add id="HKBEA" name="东亚银行"/>
      <add id="HANABANK" name="韩亚银行（中国）"/>
      <add id="ARCU" name="安徽省农村信用社"/>
      <add id="YNRCC" name="云南省农村信用社"/>
      <add id="SCRCU" name="四川省农村信用社"/>
      <add id="GSRCU" name="甘肃省农村信用社"/>
      <add id="GXRCU" name="广西农村信用社"/>
      <add id="GZRCU" name="贵州省农村信用社"/>
      <add id="HBRCU" name="河北农村信用社"/>
      <add id="HNRCC" name="湖南省农村信用社"/>
      <add id="HNRCU" name="河南省农村信用社"/>
      <add id="HURCB" name="湖北省农村信用社"/>
      <add id="JLRCU" name="吉林省农村信用社"/>
      <add id="JSRCU" name="江苏省农村信用社联合社"/>
      <add id="JXRCU" name="江西省农村信用社（农商银行）"/>
      <add id="SDRCU" name="山东省农村信用社"/>
      <add id="CRCBANK" name="重庆农村商业银行"/>
      <add id="CZRCB" name="江南农村商业银行"/>
      <add id="DRCBCL" name="东莞农村商业银行"/>
      <add id="JRCB" name="江苏江阴农村商业银行"/>
      <add id="KSRB" name="昆山农村商业银行"/>
      <add id="NXRCU" name="黄河农村商业银行"/>
      <add id="SRCB" name="深圳农村商业银行"/>
      <add id="TCRCB" name="太仓农村商业银行"/>
      <add id="WHRCB" name="武汉农村商业银行"/>
      <add id="WJRCB" name="吴江农村商业银行"/>
      <add id="WRCB" name="无锡农村商业银行"/>
      <add id="ZRCBANK" name="张家港农村商业银行"/>
      <add id="BJRCB" name="北京农商银行"/>
      <add id="CDRCB" name="成都农商银行"/>
      <add id="CSRCB" name="常熟农商银行"/>
      <add id="GRCB" name="广州农商银行"/>
      <add id="NHB" name="南海农商银行"/>
      <add id="SDEB" name="顺德农商银行"/>
      <add id="SHRCB" name="上海农商银行"/>
      <add id="TRCB" name="天津农商银行"/>
      <add id="YDRCB" name="尧都农商银行"/>
      <add id="ZJNX" name="浙江农信（丰收卡）"/>
      <add id="GDRCC" name="广东农信"/>
      <add id="BJBANK" name="北京银行"/>
      <add id="BOCY" name="朝阳银行"/>
      <add id="SHBANK" name="上海银行"/>
      <add id="GCB" name="广州银行"/>
      <add id="NYNB" name="广东南粤银行"/>
      <add id="BOD" name="东莞银行"/>
      <add id="CQBANK" name="重庆银行"/>
      <add id="CSCB" name="长沙银行"/>
      <add id="BHB" name="河北银行"/>
      <add id="BGB" name="广西北部湾银行"/>
      <add id="ASCB" name="鞍山银行"/>
      <add id="AYCB" name="安阳银行"/>
      <add id="BANKWF" name="潍坊银行"/>
      <add id="BOCD" name="承德银行"/>
      <add id="BODD" name="丹东银行"/>
      <add id="BOJZ" name="锦州银行"/>
      <add id="BOP" name="平顶山银行"/>
      <add id="BOQH" name="青海银行"/>
      <add id="BOSZ" name="苏州银行"/>
      <add id="BOYKF" name="营口银行"/>
      <add id="BOZK" name="周口银行"/>
      <add id="BSB" name="包商银行"/>
      <add id="BZMD" name="中原银行"/>
      <add id="CBKF" name="开封市商业银行"/>
      <add id="CCQTGB" name="重庆三峡银行"/>
      <add id="CDCB" name="成都银行"/>
      <add id="CGNB" name="南充市商业银行"/>
      <add id="CZBANK" name="浙商银行"/>
      <add id="CZCB" name="浙江稠州商业银行"/>
      <add id="DAQINGB" name="龙江银行"/>
      <add id="DLB" name="大连银行"/>
      <add id="DYCB" name="德阳银行"/>
      <add id="DYCCB" name="东营银行"/>
      <add id="DZBANK" name="德州银行"/>
      <add id="FDB" name="富滇银行"/>
      <add id="FJHXBC" name="福建海峡银行"/>
      <add id="FSCB" name="抚顺银行"/>
      <add id="FXCB" name="阜新银行"/>
      <add id="HDBANK" name="邯郸银行"/>
      <add id="GLBANK" name="桂林银行"/>
      <add id="GYCB" name="贵阳银行"/>
      <add id="GZB" name="赣州银行"/>
      <add id="H3CB" name="内蒙古银行"/>
      <add id="HBC" name="湖北银行"/>
      <add id="HBHSBANK" name="湖北银行黄石分行"/>
      <add id="HBYCBANK" name="湖北银行宜昌分行"/>
      <add id="HKB" name="汉口银行"/>
      <add id="HRXJB" name="华融湘江银行"/>
      <add id="HSBANK" name="徽商银行"/>
      <add id="HSBK" name="衡水银行"/>
      <add id="HZCB" name="杭州银行"/>
      <add id="HZCCB" name="湖州银行"/>
      <add id="JHBANK" name="金华银行"/>
      <add id="JINCHB" name="晋城银行"/>
      <add id="JJBANK" name="九江银行"/>
      <add id="JLBANK" name="吉林银行"/>
      <add id="JNBANK" name="济宁银行"/>
      <add id="JSB" name="晋商银行"/>
      <add id="JSBANK" name="江苏银行"/>
      <add id="JXBANK" name="嘉兴银行"/>
      <add id="JZBANK" name="晋中银行"/>
      <add id="KLB" name="昆仑银行"/>
      <add id="KORLABANK" name="库尔勒市商业银行"/>
      <add id="LANGFB" name="廊坊银行"/>
      <add id="LSBANK" name="莱商银行"/>
      <add id="LSBC" name="临商银行"/>
      <add id="LSCCB" name="乐山市商业银行"/>
      <add id="LYCB" name="辽阳银行"/>
      <add id="LZYH" name="兰州银行"/>
      <add id="MTBANK" name="浙江民泰商业银行"/>
      <add id="NBBANK" name="宁波银行"/>
      <add id="NBYZ" name="鄞州银行"/>
      <add id="NCB" name="南昌银行"/>
      <add id="NJCB" name="南京银行"/>
      <add id="NXBANK" name="宁夏银行"/>
      <add id="ORBANK" name="鄂尔多斯银行"/>
      <add id="QDCCB" name="青岛银行"/>
      <add id="QLBANK" name="齐鲁银行"/>
      <add id="SCCB" name="三门峡银行"/>
      <add id="SJBANK" name="盛京银行"/>
      <add id="SRBANK" name="上饶银行"/>
      <add id="SXCB" name="绍兴银行"/>
      <add id="SXRCCU" name="陕西信合"/>
      <add id="SZSBK" name="石嘴山银行"/>
      <add id="TACCB" name="泰安市商业银行"/>
      <add id="TCCB" name="天津银行"/>
      <add id="TZCB" name="台州银行"/>
      <add id="URMQCCB" name="乌鲁木齐市商业银行"/>
      <add id="WHCCB" name="威海市商业银行"/>
      <add id="WZCB" name="温州银行"/>
      <add id="XABANK" name="西安银行"/>
      <add id="XCYH" name="中原银行（原许昌银行）"/>
      <add id="XLBANK" name="中山小榄村镇银行"/>
      <add id="XTB" name="邢台银行"/>
      <add id="XXBANK" name="新乡银行"/>
      <add id="XYBANK" name="信阳银行"/>
      <add id="YBCCB" name="宜宾市商业银行"/>
      <add id="YQCCB" name="阳泉市商业银行"/>
      <add id="YXCCB" name="玉溪市商业银行"/>
      <add id="ZBCB" name="齐商银行"/>
      <add id="ZGCCB" name="自贡市商业银行"/>
      <add id="ZJKCCB" name="张家口市商业银行"/>
      <add id="ZJTLCB" name="浙江泰隆商业银行"/>
      <add id="ZYCBANK" name="贵州银行"/>
      <add id="ZZBANK" name="郑州银行"/>
      <add id="LYBANK" name="洛阳银行"/>
      <add id="NHQS" name="农信银清算中心"/>
      <add id="CBBQS" name="城市商业银行资金清算中心"/>
    </banks>
    <!--支持的还款方式-->
    <repayments>
      <add id="one" name="本息到期一次性还款" type="WAP2P.Extension.BorrowRepayments.OneRepayment, WAP2P.Extension"/>
      <add id="monthInterestOne" name="按月付息到期还本" type="WAP2P.Extension.BorrowRepayments.MonthInterestOnePayment, WAP2P.Extension"/>
      <add id="monthSplit" name="按月等额本息还款" type="WAP2P.Extension.BorrowRepayments.MonthSplitPayment, WAP2P.Extension"/>
      <add id="monthEqual" name="按月等额本金还款" type="WAP2P.Extension.BorrowRepayments.MonthEqualPayment, WAP2P.Extension"/>
      <add id="monthFixed" name="按月固定本息还款" type="WAP2P.Extension.BorrowRepayments.MonthFixedPayment, WAP2P.Extension"/>
    </repayments>
    <!--支持的投标用户过滤方式-->
    <borrowUserFilters>
      <add id="related" name="关系过滤" type="WAP2P.Extension.BorrowUserFilters.RelatedFilter, WAP2P.Extension"/>
    </borrowUserFilters>
    <!--支持的投标奖励方式-->
    <borrowRewards/>
    <!--支持的活动用户过滤方式-->
    <promotionUserFilters>
      <add id="range" name="注册时间范围" type="WAP2P.Extension.PromotionUserFilters.RangeUserFilter, WAP2P.Extension"/>
      <add id="group" name="指定用户组" type="WAP2P.Extension.PromotionUserFilters.GroupUserFilter, WAP2P.Extension"/>
    </promotionUserFilters>
  </wap2p>
  <connectionStrings/>
  <appSettings>
    <add key="pageExt" value=".htm" />
    <add key="safeCode" value="admin" />
    <add key="safe_passip" value="127.0.0.1|192.168.1.1" />
    <add key="safe_safepath" value="/User/Forget.aspx|/User/SNS/FriendList.aspx|/User/Mobile/Login.aspx" />
    <add key="ssl" value="false" />
    <add key="userEditAutoBid" value="false" />
  </appSettings>
  <system.web>
    <globalization requestEncoding="utf-8" responseEncoding="utf-8"/>
    <!--上线版本请将下面debug值改成false，调试版为true-->
    <compilation debug="true" targetFramework="4.5.1"/>
    <httpRuntime targetFramework="4.5.1" maxRequestLength="2048000" enableVersionHeader="false" appRequestQueueLimit="50000"/>
    <customErrors mode="Off"/>
    <authentication mode="None"/>
    <pages enableSessionState="false" enableViewState="false" autoEventWireup="false">
      <controls>
        <add tagPrefix="ruson" namespace="Ruson.Web.UI" assembly="Ruson"/>
      </controls>
      <namespaces>
        <add namespace="Ruson.Common"/>
        <add namespace="Ruson.Web"/>
        <add namespace="Ruson.Linq"/>
        <add namespace="WAP2P.Web"/>
        <add namespace="WAP2P.Sys"/>
        <add namespace="WAP2P.Infrastructure"/>
      </namespaces>
    </pages>
  </system.web>
  <system.webServer>
    <modules>
      <remove name="Profile"/>
      <remove name="Session"/>
      <remove name="RoleManager"/>
      <remove name="FormsAuthentication"/>
      <remove name="WindowsAuthentication"/>
      <remove name="AnonymousIdentification"/>
      <remove name="UrlAuthorization"/>
      <remove name="FileAuthorization"/>
      <remove name="UrlMappingsModule"/>
      <add name="UrlRewriter" type="Ruson.Web.HttpModules.UrlRewriter, Ruson"/>
      <add name="EFDataContext" type="Ruson.Data.EntityFramework.DataContextModule, Ruson"/>
      <add name="Safe" type="Ruson.Web.HttpModules.SafeModule, Ruson" />
    </modules>
    <handlers>
      <add name="pageExt" path="*.htm" verb="*" modules="IsapiModule" scriptProcessor="C:\Windows\Microsoft.NET\Framework64\v4.0.30319\aspnet_isapi.dll" resourceType="Unspecified" requireAccess="Script"/>
    </handlers>
    <httpProtocol>
      <customHeaders>
        <remove name="X-Powered-By"/>
      </customHeaders>
    </httpProtocol>
    <httpErrors errorMode="Custom">
      <remove statusCode="401"/>
      <remove statusCode="404"/>
      <remove statusCode="500"/>
      <remove statusCode="503"/>
      <error statusCode="401" path="/401.aspx" responseMode="ExecuteURL" />
      <error statusCode="404" path="/404.aspx" responseMode="ExecuteURL" />
      <error statusCode="500" path="/500.aspx" responseMode="ExecuteURL" />
      <error statusCode="503" path="/SiteClose.aspx" responseMode="ExecuteURL" />
    </httpErrors>
  </system.webServer>
  <system.net>
    <mailSettings>
      <smtp deliveryMethod="Network" from="发送名称|abc@hjwis.com">
        <network host="SMTP服务器地址" port="25" userName="用户名" password="密码" defaultCredentials="true"/>
      </smtp>
    </mailSettings>
  </system.net>
</configuration>